# Administration Reference

## fs whereis

Purpose

Reports the name of each file server machine housing a file or directory

Synopsis

    fs whereis [-path <dir/file path>+]  [-help]

    fs whe [-p <dir/file path>+]  [-h]

Description

The fs whereis command returns the name of each file server machine that houses the volume containing each directory or file named by the -path argument.

Options

-path
  Names each AFS file or directory for which to return the host file server machine. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output includes a line for each specified directory or file. It names the file server machine on which the volume that houses the specified directory or file resides. A list of multiple machines indicates that the directory or file is in a replicated volume.

Machine names usually have a suffix indicating their cell membership. If the cell is not clear, use the fs whichcell command to display the cell in which the directory or file resides. To display the cell membership of the local machine, use the fs wscell command.

Examples

The following example indicates that volume housing the directory /afs/abc.com resides is replicated on both fs1.abc.com and fs3.abc.com:

       % fs whereis -path /afs/abc.com
       File /afs/abc.com is on hosts fs1.abc.com fs3.abc.com

Privilege Required

None

Related Information

fs whichcell

fs wscell

© IBM Corporation 2000. All Rights Reserved